RelayAPI

Update an auto-post rule

PATCH
/v1/auto-post-rules/{id}
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Resource ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/auto-post-rules/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "feed_url": "string",  "polling_interval_minutes": 0,  "content_template": "string",  "append_feed_url": true,  "account_ids": [    "string"  ],  "status": "active",  "consecutive_errors": 0,  "last_processed_url": "string",  "last_processed_at": "string",  "last_error": "string",  "workspace_id": "string",  "created_at": "string",  "updated_at": "string"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo